%global srcname oauth2
# Erlang packages do not provide debug subpackages.
%global debug_package %{nil}


Name:       erlang-%{srcname}
Version:    0.7.0
Release:    %mkrel 2
Group:      Development/Erlang

License:    MIT
Summary:    An Oauth2 implementation for Erlang
URL:        https://github.com/kivra/%{srcname}
Source0:    https://github.com/kivra/%{srcname}/archive/%{version}/%{srcname}-%{version}.tar.gz
Patch1:     erlang-oauth2-0001-Don-t-use-deprecated-funs-in-Erlang-18.patch
Patch2:     erlang-oauth2-0002-Pass-on-error-from-authenticate_user.patch
BuildRequires: erlang-meck
BuildRequires: erlang-proper
BuildRequires: erlang-rebar


%description
This library is designed to simplify the implementation of the server side of
OAuth2.


%prep
%autosetup -n %{srcname}-%{version} -p 1


%build
%{erlang_compile}


%install
%{erlang_install}


%check
%{erlang_test}


%files
%license LICENSE
%doc README.md
%{erlang_appdir}/


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 0.7.0-2.mga10
+ Revision: 2214985
- Mageia 10 Mass Rebuild

* Sun Aug 07 2022 neoclust <neoclust> 0.7.0-1.mga9
+ Revision: 1876065
- Update to version 0.7.0
- New version 0.8.0

* Tue Mar 15 2022 umeabot <umeabot> 0.6.1-6.mga9
+ Revision: 1792862
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.6.1-5.mga8
+ Revision: 1511355
- Mageia 8 Mass Rebuild

* Sat Sep 22 2018 wally <wally> 0.6.1-4.mga7
+ Revision: 1296381
- sync patches with Fedora

* Sat May 07 2016 neoclust <neoclust> 0.6.1-3.mga6
+ Revision: 1010415
- Rebuild as it as been rejected
- imported package erlang-oauth2

